platform-runner-enrollments
Operations of the Biome Host API. Paths are relative to your deployment's API host.
GET /api/biome-host-api/platform/runtimes/{executionTargetId}/enrollments
List enrollments for an ownerless platform runtime
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
executionTargetId | path | string | yes |
| Status | Description | Body |
|---|---|---|
| 200 | application/json RunnerEnrollmentManagementResponseDtoDataArrayEnvelope | |
| 400 | application/problem+json ProblemDetailsDto | |
| 401 | application/problem+json ProblemDetailsDto | |
| 403 | application/problem+json ProblemDetailsDto | |
| 404 | application/problem+json ProblemDetailsDto | |
| 409 | application/problem+json ProblemDetailsDto | |
| 422 | application/problem+json ProblemDetailsDto | |
| 500 | application/problem+json ProblemDetailsDto |
POST /api/biome-host-api/platform/runtimes/{executionTargetId}/enrollments
Create an enrollment for an ownerless platform runtime
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
executionTargetId | path | string | yes |
Request body: application/json CreateRunnerEnrollmentDto
| Status | Description | Body |
|---|---|---|
| 201 | application/json RunnerEnrollmentManagementResponseDtoDataEnvelope | |
| 400 | application/problem+json ProblemDetailsDto | |
| 401 | application/problem+json ProblemDetailsDto | |
| 403 | application/problem+json ProblemDetailsDto | |
| 404 | application/problem+json ProblemDetailsDto | |
| 409 | Conflict. Code RUNNER_ENROLLMENT_PLATFORM_MANAGED_UNSUPPORTED: the runtime is platform-managed, which no longer supports enrollment creation. | application/problem+json ProblemDetailsDto |
| 422 | application/problem+json ProblemDetailsDto | |
| 500 | application/problem+json ProblemDetailsDto |
POST /api/biome-host-api/platform/runtimes/{executionTargetId}/enrollments/{enrollmentId}/drain
Stop new work and begin platform enrollment revocation
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
enrollmentId | path | string | yes | |
executionTargetId | path | string | yes |
| Status | Description | Body |
|---|---|---|
| 200 | application/json RunnerEnrollmentManagementResponseDtoDataEnvelope | |
| 400 | application/problem+json ProblemDetailsDto | |
| 401 | application/problem+json ProblemDetailsDto | |
| 403 | application/problem+json ProblemDetailsDto | |
| 404 | application/problem+json ProblemDetailsDto | |
| 409 | application/problem+json ProblemDetailsDto | |
| 422 | application/problem+json ProblemDetailsDto | |
| 500 | application/problem+json ProblemDetailsDto |
POST /api/biome-host-api/platform/runtimes/{executionTargetId}/enrollments/{enrollmentId}/revoke
Immediately fence and revoke an enrollment with a durable security audit and alert
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
enrollmentId | path | string | yes | |
executionTargetId | path | string | yes |
Request body: application/json BreakGlassRevokeRunnerEnrollmentDto
| Status | Description | Body |
|---|---|---|
| 200 | application/json RunnerEnrollmentManagementResponseDtoDataEnvelope | |
| 400 | application/problem+json ProblemDetailsDto | |
| 401 | application/problem+json ProblemDetailsDto | |
| 403 | application/problem+json ProblemDetailsDto | |
| 404 | application/problem+json ProblemDetailsDto | |
| 409 | application/problem+json ProblemDetailsDto | |
| 422 | application/problem+json ProblemDetailsDto | |
| 500 | application/problem+json ProblemDetailsDto |
POST /api/biome-host-api/platform/runtimes/{executionTargetId}/enrollments/{enrollmentId}/rotate
Issue a successor platform runner credential
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
enrollmentId | path | string | yes | |
executionTargetId | path | string | yes |
Request body: application/json RotateRunnerEnrollmentDto
| Status | Description | Body |
|---|---|---|
| 200 | application/json RunnerEnrollmentManagementRotationResponseDtoDataEnvelope | |
| 400 | application/problem+json ProblemDetailsDto | |
| 401 | application/problem+json ProblemDetailsDto | |
| 403 | application/problem+json ProblemDetailsDto | |
| 404 | application/problem+json ProblemDetailsDto | |
| 409 | Conflict. Code RUNNER_ENROLLMENT_PLATFORM_MANAGED_UNSUPPORTED: the runtime is platform-managed, which no longer supports enrollment rotation. | application/problem+json ProblemDetailsDto |
| 422 | application/problem+json ProblemDetailsDto | |
| 500 | application/problem+json ProblemDetailsDto |